Skip to content

List integrations

GET
/v1/integration/

Return all integrations for the current account.

account
string format: uuid
cursor
string

The pagination cursor value.

integration_template
string format: uuid
name
string
page_size
integer

Number of results to return per page.

search
string

A search term.

object
next
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cD00ODY%3D"
previous
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
created_at
required
string format: date-time
enabled
boolean
id
required
string format: uuid
integration_template
required
string format: uuid
modified_at
required
string format: date-time
name
required
string
<= 100 characters
parameter_value
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
created_at
required
string format: date-time
id
required
string format: uuid
key
required
string format: uuid
modified_at
required
string format: date-time
value
string
<= 256 characters